Bug 137655 - Fileopen DOCX: tables not the same size as in MSO
Summary: Fileopen DOCX: tables not the same size as in MSO
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.2.0.3 release
Hardware: All All
: low minor
Assignee: László Németh
URL:
Whiteboard: target:7.2.0
Keywords: filter:docx
Depends on:
Blocks: DOCX-Tables
  Show dependency treegraph
 
Reported: 2020-10-21 14:29 UTC by Timur
Modified: 2021-02-02 14:06 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample DOCX compared in MSO and LO (65.71 KB, image/png)
2020-10-21 14:29 UTC, Timur
Details
Sample DOCX resaved in MSO (32.32 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2020-10-21 14:30 UTC, Timur
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Timur 2020-10-21 14:29:42 UTC
Created attachment 166587 [details]
Sample DOCX compared in MSO and LO

This bug is about DOCX with tables, that are not the same size in LO as in MSO.

attachment 139054 [details] from bug 114962 is 2007 DOCX, but even if resaved in MSO, LO 7.1+ opens not correct with larger tables, as seen in screenshot.

In 6.2, source sha:5c6bce38a01b21403a603acd3148cf3bbb4c685f in bug 104354 unsplit the tables.
Another source sha:58e266ae808dbf3e157b38eb2c8f24774131e0f8 in bug 118949 changed them, so tables went from small in 1 page to too large in 2 pages, and it's still so in 7.1+.

László, since both commits are yours, please see if this is worth fixing and keeping open.
Comment 1 Timur 2020-10-21 14:30:27 UTC
Created attachment 166588 [details]
Sample DOCX resaved in MSO
Comment 2 László Németh 2020-10-21 18:23:02 UTC
Timur, thanks. I'll check it soon.
Comment 3 Commit Notification 2021-01-26 12:07:22 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/9e21215d45b2eea31019711282445580fad0d753

tdf#137655 DOCX table import: fix zero para top margin

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 NISZ LibreOffice Team 2021-02-02 14:06:48 UTC
Verified in:
Version: 7.2.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 318d384c596c1593667d6c936f55bf6ebd0c5db6
CPU threads: 4; OS: Windows 10.0 Build 17134; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: en-GB
Calc: threaded
Thanks for fixing!